Subject: Re: eon of file

From: Maren Purves <m.purves at jach.hawaii.edu>
Date: Thu, 04 Jun 1998 08:15:55 -1000

ANIL K. KOCHHAR wrote:
> Since FITS is a "special" type of file.  Is it possibble, when reading in
> data to do a "while (!EOF)", to read in all of the data (after the header
> info) in the file?

Some time ago I ran into a problem with a program doing something 
similar. While it doesn't seem to be a problem in itself if depends 
on your device driver. My problem at the time was with an Exabyte 
drive that only knew the one error message "Fatal drive error" - 
including for EOT (not EOF, as far as I remember), so on the last 
file (or on an empty tape) it would barf.

Hope this helps any,

Maren Purves